﻿#language: ru

@cost_price

Функционал: 09_cost_price.01.007 Заполнение нормативов содержания полезных веществ

Сценарий: 09_cost_price.01.007 Для молока
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Молоко'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Молоко (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '3,200'
	И в поле с именем 'ПроцентЖира' я ввожу текст '3,400'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для обрата сырья
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Обрат сырье'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Обрат сырье (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '2,800'
	И в поле с именем 'ПроцентЖира' я ввожу текст '0,500'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для сливок
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сливки'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сливки (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '2,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '20,000'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для сыворотки
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыворотка'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сыворотка (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '1,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '0,100'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для смеси 45
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 45%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Смесь 45% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '3,100'
	И в поле с именем 'ПроцентЖира' я ввожу текст '2,600'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для смеси 50
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Смесь 50% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '3,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '2,900'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для Российский 50%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Российский 50%'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '24,800'
	И в поле с именем 'ПроцентЖира' я ввожу текст '26,500'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для Сырная крошка
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Сырная крошка'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сырная крошка (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '22,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '24,000'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для Сливочный 45%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Сливочный 45%'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сливочный 45% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '24,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '24,500'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для Пошехонский 45%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Пошехонский 45%'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Пошехонский 45% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '23,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '24,500'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для Мраморный 50%
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Мраморный 50%'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Мраморный 50% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '22,000'
	И в поле с именем 'ПроцентЖира' я ввожу текст '27,000'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения

Сценарий: 09_cost_price.01.007 Для Обрат
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Обрат'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Обрат (Номенклатура)'
	И я нажимаю на кнопку 'Нормативы содержания полезных веществ'
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Норматив содержания полезных веществ (создание)'
	И в поле с именем 'ПроцентБелка' я ввожу текст '2,700'
	И в поле с именем 'ПроцентЖира' я ввожу текст '0,500'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Норматив содержания полезных веществ (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативы содержания полезных веществ'
	И Я закрыл все окна клиентского приложения